OIDC Configuration (Infrastructure)
Endpoints to configure external IDPs.
Return a complete list of all configured OIDC providers.
Existing oidc providers.
OidcProviders
The total number of OIDC providers
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/oidcproviders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"providers": [
{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE",
"version": 1
}
],
"total": 1
}Registers an external OIDC provider so the platform can interact with it for user authentication.
OidcProviderForCreation
The client id of the OIDC provider
The client secret of the OIDC provider
The issuer of the OIDC provider
The name of the OIDC provider
Determines whether role assignments of this OIDC provider are managed by the IDP (IDP_MANAGED, default) or locally in fulfillmenttools (IDP_IDENTITY_ONLY). The ADMINISTRATOR role always stays IDP-managed.
The status of the OIDC provider
Provider was found.
StrippedOidcProvider
The client id of the OIDC provider
The id of the OIDC provider
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe issuer of the OIDC provider
The name of the OIDC provider
Determines whether role assignments of this OIDC provider are managed by the IDP (IDP_MANAGED, default) or locally in fulfillmenttools (IDP_IDENTITY_ONLY). The ADMINISTRATOR role always stays IDP-managed.
The status of the OIDC provider
The version of the OIDC provider
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/configurations/oidcproviders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235
{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"clientSecret": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE"
}{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE",
"version": 1
}Get the configuration of a configured OIDC provider.
The users was successfully created.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/configurations/oidcproviders/{oidcProviderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Change the configuration of an already configured OIDC provider. The configuration has to contain all necessary values.
OidcProviderForUpdate
The client id of the OIDC provider
The client secret of the OIDC provider
The issuer of the OIDC provider
The name of the OIDC provider
Determines whether role assignments of this OIDC provider are managed by the IDP (IDP_MANAGED, default) or locally in fulfillmenttools (IDP_IDENTITY_ONLY). The ADMINISTRATOR role always stays IDP-managed.
The status of the OIDC provider
The version of the OIDC provider
1Provider was updated successfully
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PUT /api/configurations/oidcproviders/{oidcProviderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247
{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"clientSecret": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE",
"version": 1
}No content
Removes an OIDC provider configuration, disabling the platform’s ability to authenticate via that provider.
OIDC Provider was found & you were allowed to delete it.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
DELETE /api/configurations/oidcproviders/{oidcProviderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Change the configuration of an already configured OIDC provider. Only the specified values are changed.
OidcProviderForPatch
The client id of the OIDC provider
The client secret of the OIDC provider
The issuer of the OIDC provider
The name of the OIDC provider
Determines whether role assignments of this OIDC provider are managed by the IDP (IDP_MANAGED, default) or locally in fulfillmenttools (IDP_IDENTITY_ONLY). The ADMINISTRATOR role always stays IDP-managed.
The status of the OIDC provider
The version of the OIDC provider
1Provider was patched successfully
StrippedOidcProvider
The client id of the OIDC provider
The id of the OIDC provider
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe issuer of the OIDC provider
The name of the OIDC provider
Determines whether role assignments of this OIDC provider are managed by the IDP (IDP_MANAGED, default) or locally in fulfillmenttools (IDP_IDENTITY_ONLY). The ADMINISTRATOR role always stays IDP-managed.
The status of the OIDC provider
The version of the OIDC provider
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PATCH /api/configurations/oidcproviders/{oidcProviderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247
{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"clientSecret": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE",
"version": 1
}{
"assignedGroups": [
{
"facilityRefs": [
"text"
],
"group": "text"
}
],
"clientId": "text",
"customParameters": [
{
"key": "text",
"value": "text"
}
],
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"issuer": "text",
"name": "text",
"roleManagementMode": "IDP_MANAGED",
"status": "ACTIVE",
"version": 1
}Last updated
Was this helpful?

